package ru.micord.ervu.journal;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class SenderInfo {
  @JsonProperty("prnOid")
  private String prnOid; // идентификатор сотрудника в ЕСИА
  @JsonProperty("lastName")
  private String lastName;
  @JsonProperty("firstName")
  private String firstName;
  @JsonProperty("middleName")
  private String middleName;

  public String getPrnOid() {
    return prnOid;
  }

  public SenderInfo setPrnOid(String prnOid) {
    this.prnOid = prnOid;
    return this;
  }

  public String getLastName() {
    return lastName;
  }

  public SenderInfo setLastName(String lastName) {
    this.lastName = lastName;
    return this;
  }

  public String getFirstName() {
    return firstName;
  }

  public SenderInfo setFirstName(String firstName) {
    this.firstName = firstName;
    return this;
  }

  public String getMiddleName() {
    return middleName;
  }

  public SenderInfo setMiddleName(String middleName) {
    this.middleName = middleName;
    return this;
  }
}
